Find misc operation by id
curl --request GET \
--url https://api.leanpay.fr/v1/public/misc-operations/{miscOperationId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.leanpay.fr/v1/public/misc-operations/{miscOperationId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.leanpay.fr/v1/public/misc-operations/{miscOperationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"defaultCurrencyAmount": 1,
"amount": 1,
"currency": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"type": "debit",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}misc-operations
Find misc operation by id
GET
/
misc-operations
/
{miscOperationId}
Find misc operation by id
Authorizations
Path Parameters
Id of the misc operation
Response
Found misc operation
Absolute value of the operation amount in the tenant's default currency
Required range:
x >= 0Absolute value of the operation amount in the operation currency
Required range:
x >= 0Direction of the misc operation entry
Available options:
debit, credit 